MKFS.FAT(8)

NUME
mkfs.fat - creează un sistem de fișiere MS-DOS FAT

SINOPSIS
mkfs.fat [OPȚIUNI] DISPOZITIV [NUMĂR_DE_BLOCURI]

DESCRIERE
mkfs.fat este utilizat pentru a crea un sistem de fișiere FAT pe un dispozitiv sau într-un fișier imagine. DISPOZITIV este fișierul special care corespunde dispozitivului (de exemplu, „/dev/sdXX”) sau fișierului imagine (care nu trebuie să existe atunci când se oferă opțiunea -C). NUMĂR_DE_BLOCURI este numărul de blocuri de pe dispozitiv, iar dimensiunea unui bloc este întotdeauna de 1024 de octeți, indiferent de dimensiunea sectorului sau a clusterului. Prin urmare, NUMĂR_DE_BLOCURI specifică dimensiunea sistemului de fișiere în unitatea de Kio și nu în numărul de sectoare (ca în cazul tuturor celorlalte opțiuni mkfs.fat). Dacă este omisă, mkfs.fat alege automat o dimensiune a sistemului de fișiere care să umple spațiul disponibil.

Sunt acceptate două variante diferite ale sistemului de fișiere FAT. Standard este sistemul de fișiere FAT12, FAT16 și FAT32, așa cum a fost definit de Microsoft și utilizat pe scară largă pe discurile dure și pe suporturile amovibile, cum ar fi stick-urile USB și cardurile SD. Cealaltă este varianta Atari tradițională, utilizată pe Atari ST.

În modul Atari, dacă nu este indicat altfel de către utilizator, mkfs.fat va folosi întotdeauna 2 sectoare pe cluster, deoarece GEMDOS nu apreciază prea mult alte valori. De asemenea, se va supune numărului maxim de sectoare pe care GEMDOS îl poate gestiona. Sistemele de fișiere mai mari sunt gestionate prin creșterea dimensiunii sectorului logic Se generează un număr de serie compatibil cu Atari pentru sistemul de fișiere și se utilizează un FAT pe 12 biți numai pentru sistemele de fișiere care au una dintre dimensiunile obișnuite ale dischetelor (720k, 1,2M, 1,44M, 2,88M), altfel un FAT pe 16 biți. Acest lucru poate fi anulat cu opțiunea -F. Unele câmpuri specifice sectorului de pornire specifice PC nu sunt scrise, iar un mesaj de pornire (opțiunea -m) este ignorat.

OPȚIUNI

-a  În mod normal, pentru orice sistem de fișiere, cu excepția celor foarte mici, mkfs.fat va alinia toate structurile de date la dimensiunea clusterului, pentru a se asigura că, atâta timp cât partiția este aliniată corespunzător, la fel vor fi aliniate toate structurile de date din sistemul de fișiere. Această opțiune dezactivează alinierea; acest lucru poate oferi o mână de clustere suplimentare de stocare în detrimentul unei degradări semnificative a performanțelor pe RAID-uri, medii flash sau discuri dure cu sectoare mari.

-A  Selectează utilizarea variantei Atari a sistemului de fișiere FAT, dacă nu este deja activ, altfel selectează sistemul de fișiere FAT standard. Acesta este selectat în mod implicit dacă mkfs.fat este rulat pe 68k Atari Linux.

-b SECTOR-COPIE-DE-REZERVĂ
    Selectează locația sectorului de pornire de copie de rezervă pentru FAT32. Valoarea implicită depinde de numărul de sectoare rezervate, dar de obicei este sectorul 6. Dacă există un spațiu liber după sectorul de pornire de copie de rezervă, atunci sectorul de informații FAT32 de rezervă este plasat după sectorul de pornire de rezervă, de obicei în sectorul 7. Copia de rezervă trebuie să se încadreze în intervalul sectoarelor rezervate. Valoarea 0 dezactivează complet crearea sectoarelor FAT32 de rezervă pentru sectoarele de pornire și de informații FAT32.

-c  Verifică dacă există blocuri defectuoase pe dispozitiv înainte de a crea sistemul de fișiere.

-C  Creează fișierul dat ca DISPOZITIV în linia de comandă și scrie în el sistemul de fișiere care urmează să fie creat. Aceasta poate fi utilizată pentru a crea noul sistem de fișiere într-un fișier în loc de pe un dispozitiv real și pentru a evita utilizarea în prealabil a dd pentru a crea un fișier de dimensiune corespunzătoare. Cu această opțiune, trebuie să se precizeze NUMĂRUL-DE-BLOCURI, deoarece altfel nu s-ar cunoaște dimensiunea prevăzută a sistemului de fișiere. Fișierul creat este un fișier dispers, care conține de fapt doar zonele de metadate (sectorul de pornire, tabele de FAT-uri și directorul rădăcină). Porțiunile de date nu vor fi stocate pe disc, dar fișierul va avea totuși dimensiunea corectă. Fișierul rezultat poate fi copiat ulterior pe o dischetă sau pe un alt dispozitiv, sau poate fi montat prin intermediul unui dispozitiv de buclă.

-D NUMĂR-UNITATE
    Specifică numărul unității BIOS care urmează să fie stocat în sectorul de pornire FAT. Pentru discurile dure și mediile detașabile este de obicei 0x80–0xFF (0x80 este primul disc dur C:, 0x81 este al doilea disc dur D:, ...), pentru dispozitivele de dischetă sau partițiile care urmează să fie utilizate pentru emulația de dischete este 0x00–0x7F (0x00 este prima dischetă A:, 0x01 este a doua dischetă B:).

-f NUMĂR-DE-TABELE-FAT
    Specifică numărul de tabele de alocare a fișierelor din sistemul de fișiere. Valoarea implicită este 2.

-F DIMENSIUNE-FAT
    Specifică tipul de tabele de alocare a fișierelor utilizate (12, 16 sau 32 de biți). Dacă nu se specifică nimic, mkfs.fat va selecta automat între 12, 16 și 32 de biți, oricare se potrivește mai bine pentru dimensiunea sistemului de fișiere.

-g CAPETE/SECTOARE-PER-PISTĂ
    Specifică numerele CAPETE și SECTOARE-PER-PISTĂ care reprezintă geometria discului DISPOZITIV. Ambele numere sunt stocate în sectorul de pornire FAT. Numărul SECTOARE-PER-PISTĂ este utilizat, de asemenea, pentru alinierea numărului total de sectoare FAT. În mod implicit, geometria discului este citită chiar de la DISPOZITIV. Dacă nu este disponibilă, se utilizează LBA-Assist Translation și tabelul de traducere din SD Card Part 2 File System Specification bazat pe numărul total de sectoare de disc.

-h NUMĂR-DE-SECTOARE-ASCUNSE
    Specifică numărul de așa-numitele sectoare ascunse, așa cum sunt stocate în sectorul de pornire FAT: acest număr reprezintă sectorul de început al partiției care conține sistemul de fișiere. În mod normal, acesta este un decalaj (în sectoare) în raport cu începutul discului, deși pentru volumele logice MBR conținute într-o partiție extinsă de tip 0x05 (o partiție extinsă non-LBA), o ciudățenie a implementării MS-DOS a FAT impune ca acesta să fie în raport cu înregistrarea de pornire extinsă care conține imediat partiția. Codul de pornire și alte programe care gestionează volume FAT se pot baza, de asemenea, pe configurarea corectă a acestui câmp; majoritatea implementărilor FAT moderne îl vor ignora. În mod implicit, dacă DISPOZITIV este un dispozitiv de bloc de partiții, mkfs.fat utilizează decalajul partiției în raport cu începutul discului. În caz contrar, mkfs.fat consideră că este zero. Utilizați această opțiune pentru a anula acest comportament.

-i ID-VOLUM
    Definește ID-ul de volum al sistemului de fișiere nou creat; ID-VOLUM este un număr hexazecimal pe 32 de biți (de exemplu, 2e24ec82). Valoarea implicită este un număr care depinde de momentul creării sistemului de fișiere.

-I  Ignoră și dezactivează verificările de siguranță. În mod implicit, mkfs.fat refuză să creeze un sistem de fișiere pe un dispozitiv cu partiții sau cartografiere virtuală. mkfs.fat se va plânge și vă va spune că refuză să funcționeze. Acest lucru este diferit atunci când se utilizează discuri MO. Nu este întotdeauna nevoie de partiții pe discurile MO. Sistemul de fișiere poate merge direct pe întregul disc. În alte sisteme de operare, acest lucru este cunoscut sub numele de formatul superfloppy (super-dischetă). Această opțiune va forța mkfs.fat să funcționeze corect.

-l NUME-FIȘIER
    Citește lista blocurilor defectuoase din NUME-FIȘIER.

-m FIȘIER-MESAJ
    Definește mesajul pe care îl primește utilizatorul la încercările de a porni acest sistem de fișiere fără a fi instalat corespunzător un sistem de operare. Fișierul de mesaj nu trebuie să depășească 418 octeți după ce avansurile de linie au fost convertite în combinații de retur de cărucior și avans de linie, iar tabulatoarele au fost extinse. Dacă numele de fișier este o cratimă (-), textul este preluat de la intrarea standard.

-M TIPUL-MEDIA-FAT
    Specifică tipul de suport care urmează să fie stocat în sectorul de pornire FAT. Această valoare este, de obicei, 0xF8 pentru discurile dure și este 0xF0 sau o valoare cuprinsă între 0xF9 și 0xFF pentru dischete sau partiții care urmează să fie utilizate pentru emulația de dischete.

--mbr[=y|yes|n|no|a|auto]
    Completează tabelul MBR (fals) cu semnătura discului, o partiție care începe la sectorul 0 (include MBR însuși) și se întinde pe întregul dispozitiv de disc. Este necesară numai pentru discurile inamovibile utilizate pe sistemele Microsoft Windows și numai la formatarea întregului disc nepartiționat. Locația semnăturii discului și a tabelei de partiții se suprapune cu sfârșitul primului sector FAT (locația codului de pornire), prin urmare nu există o utilizare suplimentară a spațiului. Modul implicit este modul auto în care mkfs.fat pune tabelul MBR numai pentru discurile care nu sunt detașabile atunci când se formatează întregul disc nepartiționat.

-n NUME-VOLUM
    Stabilește numele volumului (eticheta) sistemului de fișiere. Numele volumului poate avea o lungime maximă de 11 caractere. Furnizarea unui șir gol, a unui șir format numai din spații albe sau a șirului „NO NAME” ca NUME-VOLUM are același efect ca și cum nu s-ar da opțiunea -n. Valoarea implicită este fără etichetă.

--codepage=PAGINA
    Utilizează pagina de cod DOS PAGINA pentru a codifica eticheta. În mod implicit, se utilizează pagina de cod 850.

-r INTRĂRI-DIRECTOR-RĂDĂCINĂ
    Selectează numărul minim de intrări disponibile în directorul rădăcină. Valoarea implicită este 112 sau 224 pentru dischete și 512 pentru discuri dure. Rețineți că acesta este numărul minim și poate fi mărit de mkfs.fat datorită alinierii structurilor. A se vedea, de asemenea, opțiunea mkfs.fat -a.

-R NUMĂR-DE-SECTOARE-REZERVATE
    Selectează numărul minim de sectoare rezervate. În formatul FAT32 sunt necesare cel puțin 2 sectoare rezervate, valoarea implicită fiind 32. În caz contrar, valoarea implicită este 1 (numai sectorul de pornire). Rețineți că acesta este numărul minim și poate fi mărit de mkfs.fat datorită alinierii structurilor. A se vedea, de asemenea, opțiunea mkfs.fat -a.

-s SECTOARE-PER-CLUSTER
    Specifică numărul de sectoare de disc pe cluster. Trebuie să fie o putere de 2, adică 1, 2, 4, 8, ... 128.

-S DIMENSIUNE-SECTOR-LOGIC
    Specifică numărul de octeți pe sector logic. Trebuie să fie o putere de 2 și mai mare sau egală cu 512, adică 512, 1024, 2048, 4096, 8192, 16384 sau 32768. Valorile mai mari de 4096 nu sunt conforme cu specificațiile sistemului de fișiere FAT și este posibil să nu funcționeze peste tot.

-v  Execuție detaliată.

--offset SECTOR
    Scrie sistemul de fișiere la un anumit sector în fișierul dispozitivului. Acest lucru este util pentru a crea un sistem de fișiere într-o imagine de disc partiționat fără a fi nevoie să configurați un dispozitiv în buclă.

--variant TIP
    Creează un sistem de fișiere cu varianta TIP. Valorile acceptabile sunt standard și atari (în orice combinație de majuscule/minuscule). Pentru diferențe, a se vedea mai sus, la secțiunea DESCRIERE.

--help
    Afișează un rezumat al opțiunilor și iese.

--invariant
    Utilizează constante pentru datele generate în mod normal în mod aleatoriu sau bazate pe timp, cum ar fi ID-ul volumului și ora de creare. Rulările multiple ale mkfs.fat pe același dispozitiv creează rezultate identice cu această opțiune. Scopul său principal este testarea mkfs.fat.

ERORI
mkfs.fat nu poate crea sisteme de fișiere care pot fi pornite. Acest lucru nu este atât de ușor pe cât ați putea crede la prima vedere, din diverse motive, și a fost discutat deja foarte mult. mkfs.fat pur și simplu nu acceptă acest lucru ;)

CONSULTAȚI ȘI
fatlabel(8), fsck.fat(8)

PAGINA WEB PRINCIPALĂ
Pagina principală a proiectului dosfstools este pagina proiectului GitHub (https://github.com/dosfstools/dosfstools).

AUTORI
dosfstools au fost scrise de Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de), și alții. Actualii menținători sunt Andreas Bombe (aeb@debian.org) și Pali Rohár (pali.rohar@gmail.com),

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.